% This file initializes the parameters of the Land Robot model.


%STATE VECTOR FOR THE VEHICLE:
% x = [u r x y psi]
% Body-referenced Coordinates
% u = Horizontal velocity [m/sec]
% r = Yaw rate [rad/sec]
% Earth-fixed coordinates
% x = Position in x-direction [m]
% y = Position in y-direction [m]
% psi = Yaw angle [rad]



global x_s x_e y_s y_e K_xy K_u K_r Ki_u Ki_r K_psi x_wn x_zeta y_wn y_zeta u_wn u_zeta r_wn r_zeta psi_wn psi_zeta att_hold Radius 
global Ku Kuu Kr Krr Ku_hat Kuu_hat Kr_hat Krr_hat
% Path generation initialization
x_s = 0;
x_e = 0;
y_s = 0;  
y_e = 0;

% Compute omega so that trajectory speed is 1.0 m/s
Radius = 5;
omega  = 1.0/ Radius;

IC_vel =[0];
IC_pos =[0;0];
IC_yaw = [0]; % 60 deg (= 1.0472 rad) heading
IC_yaw_rt =[0.1];


% prefilter parameters % UUV values
wn   = 20;
x_wn    = wn; 
y_wn    = wn;
psi_wn  = wn; 
u_wn    = wn; 
r_wn    = wn; 
x_zeta = 0.9;
y_zeta = 0.9; 
u_zeta = 0.9; 
r_zeta = 0.9; 
psi_zeta = 0.9; 
% control gains
K_xy  = 2;
K_psi = 2;
K_u = 10;  
K_r = 10; 
Ki_u = 1;  
Ki_r = 1;
% nonlinear force and moment
% g = Ku*u + Kuu*|u|*u, f = Kr*r + Krr*|r|*r
Ku = 0.1;
Kuu = 0.01;
Kr = 0.1;
Krr = 0.01;
% approximation of nonlinear force and moment
Ku_hat = 0;
Kuu_hat = 0;
Kr_hat = 0;
Krr_hat = 0;


% start the simulation
sim_new

